<header>

  <nav class="box-shadow">
    
    <label class="hamburger-btn button" for="hamburger"></label>
    <input checked #hamburgerBtn type="checkbox" id="hamburger">

    <ul (click)="hideHamburger()" class="menu">      

      <li class="menu__item">
        <a routerLink="/home" routerLinkActive="active">
          Home
        </a>
      </li>
      
      <li class="menu__item" *ngIf="(loggedUser$ | async)">
        <a routerLinkActive="active" [routerLink]="['/volume', 'my-volumes']">
          My Volumes
        </a>
      </li>

      <li class="menu__item menu__item--float-right" *ngIf="!(loggedUser$ | async)">
        <a routerLink="/login" routerLinkActive="active">
          Login
        </a>
      </li>

      <li class="menu__item menu__item--float-right" *ngIf="(loggedUser$ | async)" (click)="logout()">
        <a routerLink="/">
          Logout
        </a>
      </li>

      <div class="overlay"></div>

    </ul>

  </nav>

</header>

